Skip to content

List current intentions

GET
/api/v1/coordination/intentions
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/coordination/intentions?include_conflicts=false' \
--header 'X-API-Key: <X-API-Key>'

List all active intentions for the tenant with conflict information.

include_conflicts
Include Conflicts

Include only conflicted intentions

boolean

Include only conflicted intentions

Successful Response

Media typeapplication/json
ListIntentionsResponse

Response for listing active intentions.

object
intentions
required
Intentions
Array<object>
object
key
additional properties
any
Examplegenerated
{
"intentions": [
{}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}